Skip to main content
GET
/
api
/
v2
/
flag-statuses
/
{projectKey}
/
{environmentKey}
List feature flag statuses
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/flag-statuses/{projectKey}/{environmentKey} \
  --header 'Authorization: <api-key>'
{
  "_links": {
    "self": {
      "href": "/api/v2/flag-statuses/my-project/my-environment",
      "type": "application/json"
    }
  },
  "items": [
    {
      "name": "inactive",
      "_links": {
        "parent": {
          "href": "/api/v2/flags/my-project/my-flag",
          "type": "application/json"
        },
        "self": {
          "href": "/api/v2/flag-statuses/my-project/my-flag",
          "type": "application/json"
        }
      },
      "lastRequested": "2020-02-05T18:17:01.514Z",
      "default": "<unknown>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

Response

Flag Statuses collection response

Example:
{
"self": {
"href": "/api/v2/flag-statuses/my-project/my-environment",
"type": "application/json"
}
}
items
object[]